# Created by pyp2rpm-3.3.5
%global pypi_name azure-mgmt-rdbms

Name:           python-%{pypi_name}
Version:        10.1.0
Release:        %mkrel 2
Summary:        Microsoft Azure RDBMS Management Client Library for Python
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python
Source0:        https://files.pythonhosted.org/packages/source/a/%{pypi_name}/%{pypi_name}-%{version}.zip
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3dist(setuptools-scm)
BuildRequires:  python3dist(setuptools-scm[toml])
BuildRequires:  python3dist(wheel)
BuildRequires:  python3dist(pip)

BuildRequires:  python3-devel
BuildRequires:  python3dist(azure-common)
BuildRequires:  python3dist(azure-mgmt-core)
BuildRequires:  python3dist(msrest)
BuildRequires:  python3dist(setuptools)

%description
This is the Microsoft Azure RDBMS ManagementClient Library.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       python3dist(azure-common) 
Requires:       python3dist(azure-mgmt-core)
Requires:       python3dist(msrest)
%description -n python3-%{pypi_name}
This is the Microsoft Azure RDBMS ManagementClient Library.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install%pyproject_install


%check
%{__python3} setup.py test

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.md
%{python3_sitelib}/azure
%{python3_sitelib}/azure_mgmt_rdbms-%{version}.dist-info



%changelog
* Thu Feb 29 2024 papoteur <papoteur> 10.1.0-2.mga10
+ Revision: 2045890
- rebuild for python 3.12
- use pyproject macros

* Thu Jul 14 2022 papoteur <papoteur> 10.1.0-1.mga9
+ Revision: 1868839
- imported package python-azure-mgmt-rdbms

